CREATE TABLE cst_cons_po_price_dtls_s_gt (
    CMR_PO_DISTRIBUTION_ID          NUMBER(18, 0) ,
    EFFECTIVE_DATE                  TIMESTAMP(6)  ,
    TRANSFER_TO_OWNED_TXN_ID        NUMBER(18, 0) ,
    TAX_EXCLUSIVE_PRICE             NUMBER        ,
    PRICE                           NUMBER        ,
    NONRECOVERABLE_EXCLUSIVE_TAX    NUMBER        ,
    NONRECOVERABLE_INCLUSIVE_TAX    NUMBER        ,
    EXTERNAL_SYSTEM_REFERENCE       VARCHAR2(240) ,
    EXTERNAL_SYSTEM_REF_ID          VARCHAR2(120) ,
    REFERENCE_IDENTIFIER_LEVEL      VARCHAR2(80)  ,
    PROCESSED_BY_CA_FLAG            VARCHAR2(20)  ,
    PROCESSED_BY_RA_FLAG            VARCHAR2(20)  ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    PO_LINE_LOCATION_ID             VARCHAR2(72)  ,
    ROW_UPDATED_FLAG                VARCHAR2(4)   ,
    CST_INV_TRANSACTION_ID          NUMBER(18, 0) ,
    CMR_PO_DISTRIBUTION_ID          NUMBER(18, 0) ,
    EFFECTIVE_DATE                  TIMESTAMP(6)  ,
    TRANSFER_TO_OWNED_TXN_ID        NUMBER(18, 0) ,
    TAX_EXCLUSIVE_PRICE             NUMBER        ,
    PRICE                           NUMBER        ,
    NONRECOVERABLE_EXCLUSIVE_TAX    NUMBER        ,
    NONRECOVERABLE_INCLUSIVE_TAX    NUMBER        ,
    EXTERNAL_SYSTEM_REFERENCE       VARCHAR2(240) ,
    EXTERNAL_SYSTEM_REF_ID          VARCHAR2(120) ,
    REFERENCE_IDENTIFIER_LEVEL      VARCHAR2(80)  ,
    PROCESSED_BY_CA_FLAG            VARCHAR2(20)  ,
    PROCESSED_BY_RA_FLAG            VARCHAR2(20)  ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    PO_LINE_LOCATION_ID             VARCHAR2(72)  ,
    ROW_UPDATED_FLAG                VARCHAR2(4)   ,
    CST_INV_TRANSACTION_ID          NUMBER(18, 0) ,
    CONSTRAINT pk_cst_cons_po_price_dtls_s_gt PRIMARY KEY (CMR_PO_DISTRIBUTION_ID, EFFECTIVE_DATE, TRANSFER_TO_OWNED_TXN_ID, CMR_PO_DISTRIBUTION_ID, EFFECTIVE_DATE, TRANSFER_TO_OWNED_TXN_ID)
);
